Package org.h2gis.functions.spatial.crs

# Class EPSGTuple

java.lang.Object
org.h2gis.functions.spatial.crs.EPSGTuple

public class EPSGTuple extends Object
A simple tuple to manage both input and output CRSes used to build a `CoordinateOperation`

Author:
  Erwan Bocher

## Constructor Summary

Constructors
Constructor
Description
`EPSGTuple(int intputEPSG, int targetEPSG)`
Create the tuple with the input and output epsg codes available in the spatial_ref_sys table

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EPSGTuple

public EPSGTuple(int intputEPSG, int targetEPSG)
Create the tuple with the input and output epsg codes available in the spatial_ref_sys table

Parameters:
  `intputEPSG` - the epsg code for the input `CoordinateSystem`
  `targetEPSG` - the epsg code for the output `CoordinateSystem`

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`